javax.websocket.server

## Interface ServerContainer

- All Superinterfaces:
    WebSocketContainer

      public interface ServerContainer
      extends WebSocketContainer

  Provides the ability to deploy endpoints programmatically.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEndpoint(java.lang.Class<?> clazz)`
    `void` | `addEndpoint(ServerEndpointConfig sec)`

    - ### Methods inherited from interface javax.websocket.WebSocketContainer

      `connectToServer, connectToServer, connectToServer, connectToServer, getDefaultAsyncSendTimeout, getDefaultMaxBinaryMessageBufferSize, getDefaultMaxSessionIdleTimeout, getDefaultMaxTextMessageBufferSize, getInstalledExtensions, setAsyncSendTimeout, setDefaultMaxBinaryMessageBufferSize, setDefaultMaxSessionIdleTimeout, setDefaultMaxTextMessageBufferSize`

- - ### Method Detail

    - #### addEndpoint

          void addEndpoint(java.lang.Class<?> clazz)
                           throws DeploymentException

      Throws:
        `DeploymentException`

    - #### addEndpoint

          void addEndpoint(ServerEndpointConfig sec)
                           throws DeploymentException

      Throws:
        `DeploymentException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.